import { createApp } from 'vue'
import App from './App.vue'
//  路由
import { routers } from './router'
//  vuex
import { store } from './store'
//  全局引用element-plus
import ElementPlus from 'element-plus'
import 'dayjs/locale/zh-cn'
import locale from 'element-plus/lib/locale/lang/zh-cn'
import 'element-plus/lib/theme-chalk/index.css'
//  打印
import print from 'vue3-print-nb'
//  全局样式
import 'css/public.scss'

const app = createApp(App)
app.use(routers)
app.use(store)
app.use(print)
app.use(ElementPlus, { locale })
app.mount('#app')
