import { defineAsyncComponent } from 'vue'
import { createRouter, createWebHashHistory } from 'vue-router'

export const routers = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: '登录页',
      component: defineAsyncComponent(() => import('../views/login.vue'))
    },
    {
      path: '/index',
      name: '首页',
      component: defineAsyncComponent(() => import('../views/index.vue')),
      children: [
        {
          path: '/404',
          name: '页面不存在',
          component: defineAsyncComponent(() => import('../views/error/404.vue'))
        },
        {
          path: '/home',
          name: '主页',
          component: defineAsyncComponent(() => import('../views/home/index.vue'))
        },
        {
          path: '/attendanceManage/attendanceManage',
          name: '考勤组设置',
          component: defineAsyncComponent(() => import('../views/attendanceManage/attendanceManage.vue'))
        },
        {
          path: '/attendanceManage/enclosureManage',
          name: '围栏范围设置',
          component: defineAsyncComponent(() => import('../views/attendanceManage/enclosureManage.vue'))
        },
        {
          path: '/attendanceStatistics/registerRecord',
          name: '打卡记录',
          component: defineAsyncComponent(() => import('../views/attendanceStatistics/registerRecord.vue'))
        },
        {
          path: '/attendanceStatistics/dailyRecord',
          name: '每日统计',
          component: defineAsyncComponent(() => import('../views/attendanceStatistics/dailyRecord.vue'))
        },
        {
          path: '/attendanceStatistics/summaryRecord',
          name: '汇总统计',
          component: defineAsyncComponent(() => import('../views/attendanceStatistics/summaryRecord.vue'))
        }
      ]
    }
  ]
})
