import { validatenull } from 'utils/validate'

//  获取token
export const getToken = () => {
  let accessToken = ''
  if (getStore({ name: 'tokenObject', type: 'session' })) {
    accessToken = getStore({ name: 'tokenObject', type: 'session' })
  } else if (getStore({ name: 'tokenObject' })) {
    accessToken = getStore({ name: 'tokenObject' })
  }
  return accessToken
}

//  存储localStorage
export const setStore = (params) => {
  const {
    name,
    content,
    type
    // datetime
  } = params
  const obj = {
    dataType: typeof (content),
    content: content,
    type: type,
    datetime: new Date().getTime()
  }
  if (type) window.sessionStorage.setItem(name, JSON.stringify(obj))
  else window.localStorage.setItem(name, JSON.stringify(obj))
}

//  获取localStorage
export const getStore = (params) => {
  const {
    name,
    type,
    debug
  } = params
  let obj = {}
  let content = null
  obj = window.localStorage.getItem(name)
  if (validatenull(obj)) obj = window.sessionStorage.getItem(name)
  if (validatenull(obj)) return
  if (type) obj = window.sessionStorage.getItem(name)
  else obj = window.localStorage.getItem(name)
  try {
    const tryObj = JSON.parse(obj)
    if (typeof tryObj == 'object' && tryObj) {
      obj = JSON.parse(obj)
    }
  } catch (e) {
  }
  if (debug) {
    return obj
  }
  if (!obj) {
    return false
  }
  if (obj.dataType == 'string') {
    content = obj.content
  } else if (obj.dataType == 'number') {
    content = Number(obj.content)
  } else if (obj.dataType == 'boolean') {
    content = Boolean(obj.content)
  } else if (obj.dataType == 'object') {
    content = obj.content
  }
  return content
}

//  删除localStorage
export const removeStore = params => {
  const {
    name
  } = params
  window.localStorage.removeItem(name)
  window.sessionStorage.removeItem(name)
}

//  获取全部localStorage
export const getAllStore = (params) => {
  const list = []
  const {
    type
  } = params
  for (let i = 1; i <= window.sessionStorage.length; i++) {
    if (type) {
      list.push({
        name: window.sessionStorage.key(i),
        content: getStore({
          name: window.sessionStorage.key(i),
          type: 'session'
        })
      })
    } else {
      list.push(getStore({
        name: window.localStorage.key(i),
        content: getStore({
          name: window.localStorage.key(i)
        })
      }))
    }
  }
  return list
}

//  清空全部localStorage
export const clearStore = (params) => {
  const {
    type
  } = params
  if (type) {
    window.sessionStorage.clear()
    return
  }
  window.localStorage.clear()
}
