import {
  getCurrencyDictionary
} from 'api/dictionary'
import { checkMenuLimit } from 'utils/util'
import {
  ElNotification
} from 'element-plus'

const viewCurrency = {
  data () {
    return {
      //  公用
      buttonLoading: false,
      //  表格
      tableLoading: false,
      tableTotal: 0,
      pageIndex: 1,
      pageSize: 10,
      tableData: [],
      selectTableNode: []
    }
  },
  mounted () {
    this.getTableList()
    this.getDictionary()
  },
  methods: {
    //  获取字典集
    getDictionary () {
      this.dictionaryList.forEach(item => {
        if (!this.$store.state[item + 'List'].length) {
          getCurrencyDictionary({
            dictCode: item + 'Hosp'
          }).then(res => {
            if (res.status == 200) {
              this.$store.state[item + 'List'] = res.data
            } else {
              ElNotification({
                title: '获取字典失败',
                message: res.message,
                type: 'error'
              })
            }
          })
        }
      })
    },
    //  切换表格页数
    handlePageChange (val) {
      if (val) {
        this.pageIndex = val
        this.getTableList()
      }
    },
    //  切换表格每页条数
    handleSizeChange (val) {
      this.pageSize = val
      this.handlePageChange(1)
    },
    //  重置过滤表单
    resetFilterForm () {
      this.$refs.filterForm.resetFields()
    },
    //  获取字典编码对应文字
    getDictionaryLabel (code, listName) {
      const dictionary = this.$store.state[listName].find(item => item.code == code)
      if (dictionary) {
        return dictionary.label
      } else {
        return '-'
      }
    },
    //  校验权限
    checkMenuLimit (code) {
      return checkMenuLimit(code)
    }
  }
}

export default viewCurrency
